############################################################################################
# IMPORTS
############################################################################################
# Datetime for manipulating dates:
import datetime as dt
from datetime import date
############################################################################################




############################################################################################
# GLOBAL VARIABLES
############################################################################################
# layout-related stuff:
colors = {
        'background': '#111111',
        'text': '#7FDBFF'
        }
cmap = [[0, '#EEEEEE'], [0.01, 'blue'], [0.5, 'yellow'], [1.0, 'red']]
disabled_days = ['2022-05-08','2022-05-09','2022-05-10', '2022-05-11', '2022-05-12', '2022-05-13', '2022-05-15', '2022-05-16', '2022-05-17', '2022-05-19', '2022-05-28', '2022-05-29', '2022-06-04', '2022-06-05', '2022-06-11', '2022-06-12', '2022-06-13', '2022-06-16', '2022-06-18', '2022-06-19', '2022-06-21', '2022-06-22', '2022-06-24', '2022-06-25', '2022-06-27', '2022-06-28', '2022-06-29', '2022-06-30', '2022-07-02', '2022-07-03', '2022-07-04', '2022-07-06', '2022-07-07', '2022-07-08', '2022-07-09', '2022-07-10', '2022-07-12', '2022-07-13', '2022-07-14', '2022-07-15', '2022-07-16', '2022-07-17', '2022-07-19', '2022-07-20', '2022-07-22', '2022-07-23', '2022-07-24', '2022-07-25', '2022-07-26', '2022-07-28', '2022-07-29', '2022-07-30', '2022-07-31', '2022-08-01', '2022-08-02', '2022-08-03', '2022-08-04', '2022-08-06', '2022-08-07', '2022-08-08', '2022-08-09', '2022-08-10', '2022-08-11', '2022-08-13', '2022-08-14', '2022-08-15', '2022-08-16', '2022-08-17', '2022-08-18', '2022-08-20', '2022-08-21', '2022-08-22']
country_colors = ["mediumorchid", "indigo", "navy", "seagreen", "olive", "chartreuse", "gold", "darkorange", "indianred", "saddlebrown", "grey"]

# dates:
today = dt.date(2022,8,19)
date_delta = dt.timedelta(days=1)
start_date = dt.date(2022, 5, 7)
current_date = dt.date(2022,8,19)
current_date_str = dt.datetime(2022,8,19).strftime('%d %b %Y')
end_date = dt.date(2022,8,19)
current_date_tag = end_date.strftime('%d-%m-%Y')

country_list = ["Spain", "United Kingdom", "United States" ]
initial_day_fit = 20

############################################################################################
